summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: b46f0b6)
raw | patch | inline | side by side (parent: b46f0b6)
author | Junio C Hamano <junkio@cox.net> | |
Wed, 4 May 2005 17:45:36 +0000 (10:45 -0700) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Wed, 4 May 2005 17:45:36 +0000 (10:45 -0700) |
This fixes an error introduced to git-apply-patch-script in the previous
round. We do not invoke patch for create/delete case, so we need to
be a bit careful about detecting conflicts like this.
Signed-off-by: Junio C Hamano <junkio@cox.net>
round. We do not invoke patch for create/delete case, so we need to
be a bit careful about detecting conflicts like this.
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-apply-patch-script | patch | blob | history |
diff --git a/git-apply-patch-script b/git-apply-patch-script
index 29548ba6aa0f728fdf627efdd34d735fe2422045..dccad27061ca753a871891afed615c4d4a10c765 100755 (executable)
--- a/git-apply-patch-script
+++ b/git-apply-patch-script
echo >&2 "cannot create leading path for $name."
exit 1
}
+ if test -f "$name"
+ then
+ echo >&2 "file $name to be created already exists."
+ exit 1
+ fi
+ cat "$tmp2" >"$name" || {
+ echo >&2 "cannot create $name."
+ exit 1
+ }
case "$mode2" in
+x)
echo >&2 "created $name with mode +x."